### Method

# AppStreamCompose IconPolicyIter init

#### Declaration [src]

    void
    asc_icon_policy_iter_init (
      AscIconPolicyIter* iter,
      AscIconPolicy* ipolicy
    )

#### Description [src]

Initializes a policy iterator for the policy entry list and associates it it with `ipolicy`. The `AscIconPolicyIter` structure is typically allocated on the stack and does not need to be freed explicitly.

#### Parameters

`ipolicy`

  Type: `AscIconPolicy`

  An `AscIconPolicy`.

  The data is owned by the caller of the method.